import { useRouter } from "next/router";
import Image from "next/image";

import { Grid, MediaQuery, Space } from "@mantine/core";

import parse from "html-react-parser";

import content from "../content/texts.json";
import tux from "../public/images/tux.png";

export default function Header() {
  const { locale } = useRouter();

  return (
    <Grid style={{ display: "flex", alignItems: "center" }}>
      <Grid.Col xs={12} md={6}>
        <div>
          <h1>TheAlternative</h1>
          {content.topSection.map((entry, i) => (
            <div key={i}>
              <p>{parse(entry[locale || "en"])}</p>
              <Space h="xs" />
            </div>
          ))}
        </div>
      </Grid.Col>
      <MediaQuery smallerThan="md" styles={{ display: "none" }}>
        <Grid.Col md={6}>
          <Image
            src={tux}
            width={0}
            height={0}
            sizes="100vw"
            style={{ width: "100%", height: "auto" }}
            alt="Tux, the Linux Mascot"
          />
        </Grid.Col>
      </MediaQuery>
    </Grid>
  );
}
